[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# RegisterDaemonApplicationClass

Register alternative TCustomDaemonApplication class.

## Declaration

Source position: daemonapp.pp line 389

`procedure RegisterDaemonApplicationClass(`
`AClass: TCustomDaemonApplicationClass`
`);`

## Arguments

`AClass` |  | New class pointer to be used

## Description

RegisterDaemonApplicationClass can be used to register an alternative TCustomDaemonApplication descendent which will be used when creating the global Application instance. Only the last registered class pointer will be used.

## See also

TCustomDaemonApplication |  | Custom daemon application class
Application |  | Application instance

The latest version of this document can be found at lazarus-ccr.sourceforge.net.